# Generated from majestic-api-1.4.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name majestic-api

Name: rubygem-%{gem_name}
Version: 1.4.2
Release: 1%{?dist}
Summary: Majestic Ruby API Client
License: MIT
URL: https://github.com/SebastianJ/majestic-api
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(vcr) >= 4.0
# BuildRequires: rubygem(webmock) >= 3.5.1
# BuildRequires: rubygem(generator_spec) >= 0.9.4
# BuildRequires: rubygem(pry) >= 0.12.2
# BuildRequires: rubygem(pry) < 0.13
BuildArch: noarch

%description
Ruby client to interact with Majestic's API.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/credentials.yml.example
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.markdown
%{gem_instdir}/Rakefile
%{gem_instdir}/majestic-api.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 1.4.2-1
- Initial package
